Skip to content

List all subscriptions

GET
/api/subscriptions
curl --request GET \
--url 'https://api.usegro.co/api/subscriptions?sort_by=created_at&sort_order=asc'
status
string
holiday_id
string
holiday_moved
boolean
holiday_booked
boolean
failed_payment
boolean
validation
string
profile_id
string
entity_id
string
cancellation_reason_id
string
delivery_method
string
shopify_contract_id
string
search
string
entity_name
string
next_billing_before
string
next_billing_after
string
next_delivery_before
string
next_delivery_after
string
next_production_before
string
next_production_after
string
created_before
string
created_after
string
page
number
limit
number
sort_by
string
Allowed values: created_at next_billing_date next_delivery_date next_production_date total status
sort_order
string
Allowed values: asc desc
Media typeapplication/json
object
data
required
Array<object>
object
number
required
string
id
required
string
status
required
string
Allowed values: ACTIVE PAUSED CANCELLED EXPIRED PAYMENT_FAILED
created_at
string
nullable
updated_at
string
nullable
is_active
required
boolean
account_id
required
string
total
required
number
can_cancel
required
boolean
currency_code
required
string
profile_id
required
string
paused_at
string
nullable
next_billing_date
string
nullable
next_delivery_date
string
nullable
subtotal
required
number
discount_amount
required
number
shopify_contract_id
number
nullable
billing_interval
required
string
billing_interval_count
required
number
last_payment_reminder_sent_at
string
nullable
last_payment_reminder_billing_date
string
nullable
payment_day_of_week
number
nullable
payment_day_of_month
number
nullable
next_production_date
string
nullable
delivery_slot_valid
required
boolean
cancelled_at
string
nullable
cancellation_reason
string
nullable
cancellation_reason_id
string
nullable
payment_method_brand
string
nullable
payment_method_last4
string
nullable
current_billing_cycle
required
number
prior_order_count
required
number
last_order
object
id
string
status
string
Allowed values: PENDING PAID PARTIALLY_REFUNDED REFUNDED CANCELLED
created_at
string
nullable
updated_at
string
nullable
account_id
string
total
number
currency_code
string
profile_id
string
nullable
shopify_order_id
string
production_date
string
nullable
delivery_date
string
nullable
fulfillment_status
string
Allowed values: UNFULFILLED PARTIALLY_FULFILLED FULFILLED
shopify_order_number
number
nullable
external_order_id
string
nullable
external_order_number
string
nullable
external_source
string
nullable
is_checkout_order
boolean
tracking_number
string
nullable
tracking_company
string
nullable
tracking_url
string
nullable
subtotal
number
discount_amount
number
billing_date
string
nullable
order_created_at
string
nullable
profile
One of:
string
subscriptions
One of:
string
delivery_slot
One of:
string
can_pause
required
boolean
can_resume
required
boolean
can_reactivate
required
boolean
is_in_dunning
required
boolean
can_retry_payment
required
boolean
payment_reminder_status
required
string
Allowed values: pending sent not-applicable not-due not-sent
frequency_label
required
string
current_dunning_episode
string
nullable
entity
One of:
string
profile
One of:
string
entities
One of:
string
meta
required
object
total

Total number of items

number
per_page

Items per page

number
current_page

Current page number

number
last_page

Last page number

number
first_page

First page number

number
first_page_url

URL for first page

string
last_page_url

URL for last page

string
next_page_url

URL for next page

string
nullable
previous_page_url

URL for previous page

string
nullable

Example

{
"data": [
{
"status": "ACTIVE",
"last_order": {
"status": "PENDING",
"fulfillment_status": "UNFULFILLED",
"profile": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
},
"payment_reminder_status": "pending",
"profile": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
}
]
}